ISPManager 4 на Ubuntu 14.04

Дата Автор admin1 комментарий

С недавнего времени установка 4 на завершается ошибкой из-за того, что новая версия apache 2.4 не поддерживается.
Решение нашлось. Приходится устанавливать apache версии 2.2

Для этого добавляем в /etc/apt/sources.list архивный рапозиторий Ubuntu:

# nano /etc/apt/sources.list
deb http://archive.ubuntu.com/ubuntu precise main restricted universe
deb http://archive.ubuntu.com/ubuntu precise-updates main restricted universe
deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse

Теперь удалим уже установленный apache2, который «не видит» панель ISPManager 4 и обновляем кеш поддерживаемых приложений:

# apt-get purge apache2 && apt-get update && apt-get clean
# /usr/local/ispmgr/sbin/pkgctl -D cache && killall ispmgr -9

Затем устанавливаем apache2.2:

# apt-get install apache2=2.2.22-1ubuntu1.10 apache2.2-common=2.2.22-1ubuntu1.10 apache2.2-bin=2.2.22-1ubuntu1.10 apache2-mpm-worker=2.2.22-1ubuntu1.10

Заходим в «Возможности» ISPmanager 4 по адресу https://IPвашегоСервера:1500/ispmgr и «устанавливаем» уже установленную версию apache2.2.22-1ubuntu1.10

Всем удачи и настоятельные рекомендации — не использовать устаревшие продукты от ISPSystem, а перейти на бесплатные, например — VestaCP

Один комментарий на «ISPManager 4 на Ubuntu 14.04»

  1. нестыковочка….

    1. итак, имеем чистую 14,04 пытаемся поставить ISPmanager4 lite, и не получается, походу нету нужного apache

    qqqqqqqqqqqqqqqqq Error! qqqqqqqqqqqqqqqqqqqq
    x Can’t get information about available packages x
    qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq

    2. добавляем репозитории

    qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq
    # nano /etc/apt/sources.list
    deb http://archive.ubuntu.com/ubuntu precise main restricted universe
    deb http://archive.ubuntu.com/ubuntu precise-updates main restricted universe
    deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
    qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq

    выполняем (хотя его не ставил ни кто)
    # apt-get purge apache2 && apt-get update && apt-get clean

    соответственно ISPManager тоже не стоит и соответственно выполнять
    # /usr/local/ispmgr/sbin/pkgctl -D cache && killall ispmgr -9
    смысле нету
    и получаем тот же ответ

    3. ставим
    # apt-get install apache2=2.2.22-1ubuntu1.10 apache2.2-common=2.2.22-1ubuntu1.10 apache2.2-bin=2.2.22-1ubuntu1.10 apache2-mpm-worker=2.2.22-1ubuntu1.10

    но установка снова на том же месте

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *